'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = tokenCredentials;

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _ArgumentError = require('../errors/ArgumentError');

var _ArgumentError2 = _interopRequireDefault(_ArgumentError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function tokenCredentials(options) {
  if (!options || !(options instanceof Object)) {
    throw new _ArgumentError2.default('The Token Credentials options must be an object.');
  }

  if (!options.accessToken || options.accessToken.length === 0) {
    throw new _ArgumentError2.default('Token Credentials authentication requires an accessToken.');
  }

  return function () {
    return new _bluebird2.default(function (resolve, reject) {
      resolve(options.accessToken);
    });
  };
}