'use strict';

var _ArmClient = require('./ArmClient');

var _ArmClient2 = _interopRequireDefault(_ArmClient);

var _ArgumentError = require('./errors/ArgumentError');

var _ArgumentError2 = _interopRequireDefault(_ArgumentError);

var _authentication = require('./authentication');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function (options) {
  if (!options || !(options instanceof Object)) {
    throw new _ArgumentError2.default('The options must be an object.');
  }

  if (!options.auth || !(options.auth instanceof Object)) {
    throw new _ArgumentError2.default('An authentication provider must be configured.');
  }

  return new _ArmClient2.default(options);
};

module.exports.tokenCredentials = _authentication.tokenCredentials;
module.exports.clientCredentials = _authentication.clientCredentials;